## `parser::release`

Return the parsed JSON text as a `value`.

### Synopsis

    value
    release();

### Description

This returns the parsed value, or throws an exception if the parsing is incomplete or failed. It is necessary to call `reset` after calling this function in order to parse another JSON text.

### Complexity

Constant.

### Return Value

The parsed value. Ownership of this value is transferred to the caller.

### Exceptions

Type | Thrown On
--- | ---
`boost::system::system_error` | A complete JSON text hasn’t been parsed, or parsing failed.

Edit this page